## gevent-socketio 0.3.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gevent-socketio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gevent-socketio.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gevent-socketio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gevent-socketio"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
gevent-socketio (0.3.6-4) unstable; urgency=medium

  * Update Access-Control-Max-Age patch to fix second occurrence
    (Closes: #817902)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 14 Mar 2016 09:42:18 +0100

gevent-socketio (0.3.6-3) unstable; urgency=medium

  * Pass Access-Control-Max-Age as a string.
    Thanks to Frans van Berckel <fberckel@xs4all.nl> (Closes: #817902)
  * Update Vcs-Browser and Vcs-Git to use HTTPS
  * Bump Standards-Version to 3.9.7 (no changes required)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 11 Mar 2016 16:59:09 +0100

gevent-socketio (0.3.6-2) unstable; urgency=medium

  * Use pybuild as buildsystem.
  * Add python-versiontools to the build dependencies. (Closes: #743695)
  * Add python-mock and python-pytest to build dependencies (for tests).

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 10 Apr 2014 10:04:01 +0200

gevent-socketio (0.3.6-1) unstable; urgency=low

  * Initial release. (Closes: #733634)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 03 Feb 2014 11:25:59 +0100

=== debian/control ===
Source: gevent-socketio
Section: python
Priority: optional
Maintainer: Benjamin Drung <benjamin.drung@profitbricks.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               gunicorn,
               python-all (>= 2.6.6-3),
               python-gevent,
               python-gevent-websocket,
               python-mock,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-versiontools
Standards-Version: 3.9.7
X-Python-Version: >= 2.5
Homepage: https://github.com/abourget/gevent-socketio
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gevent-socketio.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gevent-socketio.git

Package: python-socketio
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Socket.IO server based on the gevent pywsgi server
 gevent-socketio is a Python implementation of the Socket.IO protocol, developed
 originally for Node.js by LearnBoost and then ported to other languages.
 Socket.IO enables real-time web communications between a browser and a server,
 using a WebSocket-like API. One aim of this project is to provide a single
 gevent-based API that works across the different WSGI-based web frameworks out
 there (Pyramid, Pylons, Flask, web2py, Django, etc...). Only ~3 lines of code
 are required to tie-in gevent-socketio in your framework. Note: you need to use
 the gevent Python WSGI server to use gevent-socketio.

Package: python-socketio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for gevent-socketio
 gevent-socketio is a Python implementation of the Socket.IO protocol, developed
 originally for Node.js by LearnBoost and then ported to other languages.
 Socket.IO enables real-time web communications between a browser and a server,
 using a WebSocket-like API. One aim of this project is to provide a single
 gevent-based API that works across the different WSGI-based web frameworks out
 there (Pyramid, Pylons, Flask, web2py, Django, etc...). Only ~3 lines of code
 are required to tie-in gevent-socketio in your framework. Note: you need to use
 the gevent Python WSGI server to use gevent-socketio.
 .
 This package contains the gevent-socketio documentation in HTML format.

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-rc/~rc/" \
  https://pypi.python.org/packages/source/g/gevent-socketio/gevent-socketio-(.+)\.tar\.gz
